package dao

import (
	"time"
)

// OperationHis 操作记录
type OperationHis struct {
	ID            int       `gorm:"primary_key" json:"id"`                                      //编号
	OperationType int       `gorm:"type:int" json:"operationType"`                              //操作类型
	ModuleType    int       `gorm:"type:int" json:"moduleType"`                                 //操作模块
	HandleContent string    `gorm:"type:varchar(1000)" json:"handleContent"`                    //操作内容
	HandleUserId  string    `gorm:"type:varchar(255)" json:"handleUserId"`                      //操作用户ID
	HandleTime    time.Time `gorm:"type:timestamp;default CURRENT_TIMESTAMP" json:"handleTime"` //操作时间
	TenantId      string    `gorm:"type:varchar(12)" json:"tenantId"`                           //租户id
}

func (OperationHis) TableName() string {
	return "t_sys_handle_his"
}
